const Router = require('express')
const router = new Router()

const examResultController = require('../controllers/examresult.controller')

router.post('/examresult', examResultController.createExamResult)
router.post('/examresult/manual', examResultController.createExamResultWithId)
router.get('/examresult', examResultController.getExamResults)
router.get('/examresult/:id', examResultController.getOneExamResult)
router.put('/examresult', examResultController.updateExamResult)
router.delete('/examresult/:id', examResultController.deleteExamResult)
router.get('/examresult/abitur/:id', examResultController.getAbiturExamResults)
router.get('/examresult/avgBySpec/:id', examResultController.getAverageResultBySpecialization)

module.exports = router