import { createApp } from 'vue'
import App from './App.vue'
import { createRouter, createWebHistory } from "vue-router"

import Auth from './components/Auth'
import AbiturMain from './components/AbiturMain'
import Request from './components/Request'
import Test from './components/TestPage'
import Enter from './components/Enter'

const routes = [
    {
        path: '/',
        component: Auth,
        name: 'Auth'
    },
    {
        path: '/abitur/:abiturId',
        name: 'AbiturMain',
        component: AbiturMain,
        props: true
    },
    {
        path: '/abitur/request/:requestId',
        name: 'Request',
        component: Request,
        props: true
    },
    {
        path:'/test',
        component: Test,
        name: 'Test'
    },
    {
        path:'/enter',
        component: Enter,
        name: 'Enter'
    }
]

const router = createRouter({   
    routes, 
    history: createWebHistory()
})

createApp(App).use(router).mount('#app')
